<?php include_once( "../../../spider.inc.php" ); ?>
{charset:UTF-8}
{template:admin_default.tpl}
{module:member.mail.reject.LoadList}
{module:member.mail.template.LoadList}
{module:member.mail.Form}
{module:content.LoadFolders}
{module:content.LoadList}
{preset:page_title MEMBER_PERSONAL_LABEL . '管理 > メール送信'}

	<div class="panc">
		<a href="../../">管理パネルトップ</a>
		&gt; <a href="../">{write:MEMBER_PERSONAL_LABEL}情報一覧</a>
		&gt; メール送信
	</div>

	<h1>{write:MEMBER_PERSONAL_LABEL}管理 &gt; {write:MEMBER_PERSONAL_LABEL}情報一覧 &gt; メール送信</h1>
	
{if:IS_ERROR}
	<ul class="error">
	{foreach:errors error}
		<li>{write:error}</li>
	{/foreach}
	</ul>
{else}

	<div style="width:96%;margin:0 auto;">
	<form name="mform" action="./confirm.php?stype={write:member.mail.mail_object->'select_type'}{if:member.mail.mail_object->'select_type'=='m'}{if:count(member.mail.mail_object->'member_id_object_hash')>0}{foreach:member.mail.mail_object::member_id_object_hash key member_object}&amp;mi[]={write:key}{/foreach}{/if}{/if}" method="post">
	<div id="mail-tab-menu">
		<div id="button-detail" class="active-button"
			>送信情報</div>
		<div id="button-body" class="active-button"
			>メール本文</div>
		<br style="clear:left;" />
	</div><div id="mail-edit-panel">
		<div id="mail-detail-info" class="active-panel">
		<h2>送信設定</h2>
		<table class="detail" style="margin:0 auto;width:96%;">
		<tbody>
		<tr>
			<th style="width:10em;white-space:nowrap;">宛先</th>
			<td colspan="5" style="padding:0px;">
				{if:count(member.mail.mail_object->'member_id_object_hash')>0}
				<table style="margin:0px;width:100%;margin:0 auto;">
				{foreach:member.mail.mail_object::member_id_object_hash key member_object}
				<tr>
					<td rowspan="2" style="vertical-align:top;">{write:key}<input type="hidden" name="member_id[]" value="{write:key}" /></td>
					<td rowspan="2" style="vertical-align:top;">{write:member_object->'view_name'}さん</td>
					<td style="vertical-align:top;">ＰＣ</td>
					<td style="vertical-align:top;text-align:right;">
						{if:strlen(member_object->'pc_mail')>0}{write:member_object->'pc_mail'}{else}登録なし{/if}
					</td>
				</tr>
				<tr>
					<td style="vertical-align:top;">携帯</td>
					<td style="vertical-align:top;text-align:right;">
						{if:strlen(member_object->'mb_mail')>0}{write:member_object->'mb_mail'}{else}登録なし{/if}
					</td>
				</tr>
				{/foreach}
				</table>
				{else}検索結果全て{/if}
			</td>
		</tr>
		<tr>
			<th style="width:10em;white-space:nowrap;">配信予約日時</th>
			<td colspan="5">
				<select name="reserve_date_year">
				<?php for( $i=date('Y'); $i<date('Y')+3; $i++ ) { $num = sprintf('%04d',$i); $request_object->setAttribute('num', $num); ?>
					<option value="{write:num}"
						{if:member.mail.mail_object->'reserve_date_year'==num} selected{/if}
						>{write:num}</option>
				<?php } ?>
				</select>年<select name="reserve_date_month">
				<?php for( $i=1; $i<=12; $i++ ) { $num = sprintf('%02d',$i); $request_object->setAttribute('num', $num); ?>
					<option value="{write:num}"
						{if:member.mail.mail_object->'reserve_date_month'==num} selected{/if}
						>{write:num}</option>
				<?php } ?>
				</select>月<select name="reserve_date_day">
				<?php for( $i=1; $i<=31; $i++ ) { $num = sprintf('%02d',$i); $request_object->setAttribute('num', $num); ?>
					<option value="{write:num}"
						{if:member.mail.mail_object->'reserve_date_day'==num} selected{/if}
						>{write:num}</option>
				<?php } ?>
				</select>日
				<select name="reserve_date_hour">
				<?php for( $i=0; $i<24; $i++ ) { $num = sprintf('%02d',$i); $request_object->setAttribute('num', $num); ?>
					<option value="{write:num}"
						{if:member.mail.mail_object->'reserve_date_hour'==num} selected{/if}
						>{write:num}</option>
				<?php } ?>
				</select>時<select name="reserve_date_min">
				<?php for( $i=0; $i<60; $i++ ) { $num = sprintf('%02d',$i); $request_object->setAttribute('num', $num); ?>
					<option value="{write:num}"
						{if:member.mail.mail_object->'reserve_date_min'==num} selected{/if}
						>{write:num}</option>
				<?php } ?>
				</select>分
			</td>
		</tr>
		<tr>
			<th style="width:10em;white-space:nowrap;">送信対象</th>
			<td>
				<select name="target_type" id="target_type" onchange="getTemplateInfo()">
					<option value="p"
						{if:member.mail.mail_object->'target_type'=='p'} selected{/if}
						>ＰＣメール</option>
					<option value="m"
						{if:member.mail.mail_object->'target_type'=='m'} selected{/if}
						>携帯メール</option>
				</select>
			</td>
			<th style="width:10em;white-space:nowrap;">メールタイプ</th>
			<td>
				<select name="mail_type" id="mail_type" onchange="getTemplateInfo()">
					<option value="p"
						{if:member.mail.mail_object->'mail_type'=='p'} selected{/if}
						>テキスト</option>
					<option value="h"
						{if:member.mail.mail_object->'mail_type'=='h'} selected{/if}
						>HTML</option>
				</select>
			</td>
			<th style="width:10em;white-space:nowrap;">メールマガジン種類</th>
			<td>
				<select name="list_id">
					<option value="">-</option>
				{foreach:member.mail.reject.data_array reject_list_object}
					<option value="{write:reject_list_object->'list_id'}"
						{if:reject_list_object->'list_id'==member.mail.mail_object->'list_id'} selected{/if}
						>{write:reject_list_object->'list_name'}</option>
					{/foreach}
				</select>
			</td>
		</tr>
		<tr>
			<th style="width:10em;white-space:nowrap;">テンプレート</th>
			<td colspan="5">
				<select name="template_id" onchange="getTemplateInfo()">
					<option value="">利用しない</option>
					{foreach:member.mail.template.data_array mailTemplateObject}{if:mailTemplateObject->'template_type'!='1'}
					<option value="{write:mailTemplateObject->'template_id'}"
						{if:mailTemplateObject->'template_id'==member.mail.mail_object->'template_id'} selected{/if}
						>{write:mailTemplateObject->'template_name'}</option>
					{/if}{/foreach}
				</select>
			</td>
		</tr>
		</tbody>
		</table>
		
		<h2>メールヘッダ</h2>
		<table class="detail" style="margin:0 auto;width:96%;">
		<tbody>
		<tr>
			<th style="width:10em;white-space:nowrap;">メール件名</th>
			<td>
				<input type="text" name="subject" size="80" value="{write:member.mail.mail_object->'subject'}" /><br />
			</td>
		</tr>
		<tr>
			<th style="width:10em;white-space:nowrap;">送信者名</th>
			<td>
				<input type="text" name="mail_from_name" size="20" value="{write:member.mail.mail_object->'mail_from_name'}" /><br />
			</td>
		</tr>
		<tr>
			<th style="width:10em;white-space:nowrap;">送信元<br />メールアドレス</th>
			<td>
				<input type="text" name="mail_from_address" size="40" value="{write:member.mail.mail_object->'mail_from_address'}" /><br />
			</td>
		</tr>
		<tr>
			<th style="width:10em;white-space:nowrap;">返信先<br />メールアドレス</th>
			<td>
				<input type="text" name="mail_reply_address" size="40" value="{write:member.mail.mail_object->'mail_reply_address'}" /><br />
			</td>
		</tr>
		<tr>
			<th style="width:10em;white-space:nowrap;">エラー戻り先<br />メールアドレス</th>
			<td>
				<input type="checkbox" name="system_auto" value="true" onclick="errorReturnCheck(this)"{if:preg_match('/^[sS][yY][sS][tT][eE][mM]\\_[aA][uU][tT][oO]$/',member.mail.mail_object->'mail_return_path')>0} checked{/if} />システムで自動処理
				<br />
				<input type="text" name="mail_return_path" size="40" value="{write:member.mail.mail_object->'mail_return_path'}" /><br />
			</td>
		</tr>
		<tr>
		</tr>
		</tbody>
		</table>
		<h2>対応履歴への追記</h2>
		<table class="detail" style="margin:0 auto;width:96%;">
		<tbody>
		<tr>
			<th style="width:10em;white-space:nowrap;">追記</th>
			<td>
				<select name="add_correspond" onchange="changeCorrespondDetail(this)">
					<option value="false"{if:member.mail.mail_object->'add_correspond'==false} selected{/if}>しない</option>
					<option value="true"{if:member.mail.mail_object->'add_correspond'==true} selected{/if}>する</option>
				</select>
			</td>
		</tr>
		</tbody>
		</table>
		
		<table class="detail" style="margin:0 auto;width:96%;" id="correspond-detail">
		<tbody>
		<tr>
			<th style="width:10em;white-space: nowrap;">状態指定<span class="required">※</span></th>
			<td>
				<select name="correspond_status">
					{foreach:MEMBER_CORERSPOND_STATUS_HASH key val}
					<option value="{write:key}"{if:member.mail.mail_object->'correspond_status'==key} selected{/if}>{write:val}</option>
					{/foreach}
				</select>
			</td>
		</tr>
		<tr>
			<th style="width:10em;white-space: nowrap;">対応開始タイプ<span class="required">※</span></th>
			<td>
				<select name="correspond_type">
					{foreach:MEMBER_CORERSPOND_TYPE_HASH key val}
					<option value="{write:key}"{if:member.mail.mail_object->'correspond_type'==key} selected{/if}>{write:val}</option>
					{/foreach}
				</select>
			</td>
		</tr>
		<tr>
			<th style="width:10em;white-space: nowrap;">対応分類<span class="required">※</span></th>
			<td>
				<select name="correspond_category">
					{foreach:MEMBER_CORRESPOND_CATEGORIES key val}
					<option value="{write:key}"{if:member.mail.mail_object->'correspond_category'==key} selected{/if}>{write:val}</option>
					{/foreach}
				</select>
			</td>
		</tr>
		</tbody>
		</table>

		<p style="text-align:center;">
			<input type="button" value="メール本文編集へ" onclick="viewMailBody()"
			/>
		</p>
		</div>

		<!-- 本文編集部分	-->
		<div id="mail-body-form" class="active-panel">
			<table style="width:100%">
			<tbody>
			<tr>
				<td style="text-align:center;">
					<textarea id="mail-body-area" name="body" cols="70" rows="20"
						style="width:99%;font-size:12px;font-family:monospace;"
						>{write:member.mail.mail_object->'body'}</textarea>
				</td>
			</tr>
			</tbody>
			</table>
			<table style="width:100%">
			<tbody>
			<tr>
				<td style="padding:0px;text-align:right;">
					<select name="bgcolor" id="bgcolor" onchange="this.style.backgroundColor=this.options[this.selectedIndex].value;">
						<option value="">背景色</option>
						<option value="#FF0000" style="background-color:#FF0000;"
							{if:member.mail.mail_object->'bgcolor'=='#FF0000'} selected{/if}
							>#FF0000</option>
						<option value="#000099" style="background-color:#000099;"
							{if:member.mail.mail_object->'bgcolor'=='#000099'} selected{/if}
							>#000099</option>
						<option value="#FF00FF" style="background-color:#FF00FF;"
							{if:member.mail.mail_object->'bgcolor'=='#FF00FF'} selected{/if}
							>#FF00FF</option>
						<option value="#009933" style="background-color:#009933;"
							{if:member.mail.mail_object->'bgcolor'=='#009933'} selected{/if}
							>#009933</option>
						<option value="#CC9900" style="background-color:#CC9900;"
							{if:member.mail.mail_object->'bgcolor'=='#CC9900'} selected{/if}
							>#CC9900</option>
						<option value="#00FF00" style="background-color:#00FF00;"
							{if:member.mail.mail_object->'bgcolor'=='#00FF00'} selected{/if}
							>#00FF00</option>
						<option value="#FFFF00" style="background-color:#FFFF00;"
							{if:member.mail.mail_object->'bgcolor'=='#FFFF00'} selected{/if}
							>#FFFF00</option>
						<option value="#FF6600" style="background-color:#FF6600;"
							{if:member.mail.mail_object->'bgcolor'=='#FF6600'} selected{/if}
							>#FF6600</option>
						<option value="#00FFFF" style="background-color:#00FFFF;"
							{if:member.mail.mail_object->'bgcolor'=='#00FFFF'} selected{/if}
							>#00FFFF</option>
						<option value="#000000" style="background-color:#000000;"
							{if:member.mail.mail_object->'bgcolor'=='#000000'} selected{/if}
							>#000000</option>
					</select>
					<input type="button" value="プレビュー" onclick="preview()" />
				</td>
			</tr>
			</tbody>
			</table>
			<p style="text-align:center;">
				<input type="button" value="送信情報編集へ" onclick="viewMailDetail()"
				/><input type="submit" value="送信内容確認へ"
				/>
			</p>
		</div>
	</div>
	<?php foreach( $_GET as $key => $val ) { ?>
	<input type="hidden" name="send_params[]" value="<?php echo htmlspecialchars($key.'='.$val); ?>" />
	<?php } ?>
	</form>
	<form name="previewForm" action="./preview.php?stype={write:member.mail.mail_object->'select_type'}{if:member.mail.mail_object->'select_type'=='m'}{if:count(member.mail.mail_object->'member_id_object_hash')>0}{foreach:member.mail.mail_object::member_id_object_hash key member_object}&amp;mi[]={write:key}{/foreach}{/if}{/if}" method="post" target="">
	<input type="hidden" name="target_type" value="" />
	<input type="hidden" name="mail_type" value="" />
	<input type="hidden" name="bgcolor" value="" />
	<input type="hidden" name="subject" value="" />
	<input type="hidden" name="body" value="" />
	</form>
	<br />
	<br />
	<br />
	<br />
	<br />
	</div>

<style type="text/css"><!--
.active-button {
	float:left;
	width:10em;
	text-align:center;
	padding:3px;
	background-color:#DDDDDD;
	border-style:solid solid none solid;
	border-width:1px 1px 0px 1px;
	border-color: #808080;
}
.active-panel {
	border-style:solid;
	border-width:1px;
	border-color: #808080;
	margin-bottom: 10em;
}
--></style>
<script language="JavaScript" type="text/javascript" src="/js/textformer/textformer.js"></script>
<script language="JavaScript" type="text/javascript"><!--
var templateHttpObject;
var editDetailFormView;
var editBodyFormView;
var textFormerObject;
var isDetail	= true;
if(window.attachEvent){
	window.attachEvent('onload',initializeInputForm);
}else{
	window.addEventListener('DOMContentLoaded',initializeInputForm,false);
}

function initializeInputForm() {
	document.getElementById('button-detail').style.cursor	= 'pointer';
	document.getElementById('button-body').style.cursor		= 'pointer';
	document.getElementById('button-detail').onclick		= function() { viewMailDetail(); };
	document.getElementById('button-body').onclick			= function() { viewMailBody(); };
	document.getElementById('button-detail').clickFunction	= function() { viewMailDetail(); };
	document.getElementById('button-body').clickFunction	= function() { viewMailBody(); };
	
	editDetailFormView		= document.getElementById('mail-detail-info');
	editBodyFormView		= document.getElementById('mail-body-form');
	
	viewMailDetail();
	changeCorrespondDetail(document.mform.add_correspond);
	errorReturnCheck(document.mform.system_auto);
}
var currentTemplateId	= '';
function getTemplateInfo() {
	var templateId	= document.mform.template_id.options[document.mform.template_id.selectedIndex].value;
	var targetType	= document.mform.target_type.options[document.mform.target_type.selectedIndex].value;
	var mailType	= document.mform.mail_type.options[document.mform.mail_type.selectedIndex].value;
	if( templateId && templateId.length > 0 ) {
		// テンプレートが指定された場合
		templateHttpObject	= FormerCommon.createHttpRequest(getTemplateInfoResult);
		if (templateHttpObject) {
			var url	= './template/ajax_detail.php?tpli='+templateId+'&ttype='+targetType+'&mtype='+mailType;
			templateHttpObject.open("GET",url,true);
			templateHttpObject.send(null);
		}
	} else {
		// テンプレート指定が解除された場合
		if( currentTemplateId && currentTemplateId.length>0 && confirm('テンプレート指定を解除します。件名や本文を削除しますか？') ) {
			document.mform.subject.value				= '';
			document.mform.mail_from_name.value			= '';
			document.mform.mail_from_address.value		= '';
			document.mform.mail_reply_address.value		= '';
			document.mform.mail_return_path.value		= '';
			document.mform.list_id.selectedIndex		= 0;
		}
	}
}
function getTemplateInfoResult() {
	if ((templateHttpObject.readyState == 4) && (templateHttpObject.status == 200)){
		var response	= templateHttpObject.responseText.cr2lf().trim();
		var lines		= response.trim().split(LF);
		var result		= lines.shift();
		if( 'OK' == result ) {
			document.mform.subject.value				= lines.shift();
			document.mform.mail_from_name.value			= lines.shift();
			document.mform.mail_from_address.value		= lines.shift();
			document.mform.mail_reply_address.value		= lines.shift();
			document.mform.mail_return_path.value		= lines.shift();
			var list_id									= lines.shift();
			if( document.mform.body ) {
				document.mform.body.value				= lines.join(LF);
			}
			if( textFormerObject ) {
				textFormerObject.setText(lines.join(LF));
			}
			if( list_id && list_id.length > 0 ) {
				for(var num=0;num<document.mform.list_id.options.length; num++ ) {
					if( document.mform.list_id.options[num].value == list_id ) {
						document.mform.list_id.selectedIndex	= num;
						break;
					}
				}
			}
		} else {
			alert('テンプレート内容の取得に失敗しました。'
				+ lines.join(LF)
				);
		}
		currentTemplateId	= document.mform.template_id.options[document.mform.template_id.selectedIndex].value;
	} else if ((templateHttpObject.readyState == 4) && (templateHttpObject.status != 200)){
		alert('サーバーと通信できませんでした。');
	}
}
function viewMailDetail() {
	editDetailFormView.style.position	= 'static';
	editDetailFormView.style.display	= 'block';
	editDetailFormView.style.visibility	= 'visible';
	editDetailFormView.style.zIndex		= '10';
	editBodyFormView.style.position		= 'absolute';
	editBodyFormView.style.display	= 'none';
	editBodyFormView.style.visibility	= 'hidden';
	editBodyFormView.style.zIndex		= '-9999';
	editBodyFormView.style.top			= '0px';
	editBodyFormView.style.left			= '0px';
	activateBtn( document.getElementById('button-detail') );
	unactivateBtn( document.getElementById('button-body') );
	if( textFormerObject ) {
		textFormerObject.lineCount			= 35;
		textFormerObject.cutdown();
	}
	isDetail	= true;
	memberMailSiteImageRemove();
}
function viewMailBody() {
	editDetailFormView.style.position	= 'absolute';
	editDetailFormView.style.display	= 'none';
	editDetailFormView.style.visibility	= 'hidden';
	editDetailFormView.style.zIndex		= '-9999';
	editDetailFormView.style.top		= '0px';
	editDetailFormView.style.left		= '0px';
	editDetailFormView.style.width		= '99%';
	editBodyFormView.style.position		= 'static';
	editBodyFormView.style.display	= 'block';
	editBodyFormView.style.visibility	= 'visible';
	editBodyFormView.style.zIndex		= '10';
	unactivateBtn( document.getElementById('button-detail') );
	activateBtn( document.getElementById('button-body') );
	if( textFormerObject ){
	} else {
		textFormerObject = new TextFormer(document.getElementById('mail-body-area'),"document.mform.submit()");
	}
	isDetail	= false;
	if( document.mform.mail_type && document.mform.mail_type.selectedIndex == 1 ) {
		memberMailSiteImageReview('/upload');
	} else {
		memberMailSiteImageRemove();
	}
	if( textFormerObject ) {
		textFormerObject.style.width	= '99%';
		textFormerObject.toFitInnerParts();
	}
}
function activateBtn( obj ) {
	obj.style.backgroundColor	= '#FFFFFF';
	obj.style.cursor			= 'nomal';
}
function unactivateBtn( obj ) {
	obj.style.backgroundColor	= '#DDDDDD';
	obj.style.cursor			= 'pointer';
}
function confirmSend() {
	if( confirm('送信情報と本文編集を終えて送信確認画面へ移動します。') ) {
		document.mform.submit();
	}
}
function changeCorrespondDetail(selectObject) {
	var detailElm	= document.getElementById('correspond-detail');
	if(detailElm){
		if( selectObject.selectedIndex == 1 ) {
			detailElm.style.position	= 'static';
			detailElm.style.zIndex		= '10';
		} else {
			detailElm.style.position	= 'absolute';
			detailElm.style.zIndex		= '-9999';
		}
	}
}
function preview() {
	var targetSelectedNumber	= document.mform.target_type.selectedIndex;
	var targetType				= document.mform.target_type.options[targetSelectedNumber].value;
	var mailSelectedNumber		= document.mform.mail_type.selectedIndex;
	var mailType				= document.mform.mail_type.options[mailSelectedNumber].value;
	var backColorSelectd		= document.mform.bgcolor.selectedIndex;
	var backColor				= document.mform.bgcolor.options[backColorSelectd].value;
	var wWidth	= '420';
	if( 'm' == targetType ) {
		wWidth	= '160';
	}
	var childWindow	= window.open('./form.php','memberMailPreviewBodyTemp','width='+wWidth);
	if( childWindow ) {
		document.previewForm.target				= 'memberMailPreviewBodyTemp';
		document.previewForm.target_type.value	= targetType;
		document.previewForm.mail_type.value	= mailType;
		document.previewForm.bgcolor.value		= backColor;
		document.previewForm.subject.value		= document.mform.subject.value;
		document.previewForm.body.value			= textFormerObject.getText();
		document.previewForm.submit();
	}
}

/**
 * サイドバーに貼り付け可能な画像一覧を表示します
 */
function memberMailSiteImageReview( targetUri ) {
	templateHttpObject	= FormerCommon.createHttpRequest(memberMailSiteImageReviewResult);
	if (templateHttpObject) {
		FormerCommon.displayGrayOut(9999);
		templateHttpObject.open("GET",'./ajax_files.php?ccurf=' + encodeURIComponent(targetUri),true);
		templateHttpObject.send(null);
	}
}
function memberMailSiteImageReviewResult() {
	if ((templateHttpObject.readyState == 4) && (templateHttpObject.status == 200)){
		var targetSidebar	= document.getElementById('mdsm-package-toolbar');
		var imagePanel		= document.getElementById('member-mail-body-images');
		if( imagePanel ) {
		} else {
			imagePanel		= document.createElement('div');
			imagePanel.id	= 'member-mail-body-images';
			if( targetSidebar ) {
				targetSidebar.parentNode.insertBefore(imagePanel,targetSidebar);
			}
		}
		if( imagePanel ) {
			imagePanel.innerHTML	= templateHttpObject.responseText.cr2lf().trim();
		}
		setTimeout(FormerCommon.displayWhiteIn, 100);
	} else if ((templateHttpObject.readyState == 4) && (templateHttpObject.status != 200)){
		alert('画像取得でサーバーと通信できませんでした。');
		setTimeout(FormerCommon.displayWhiteIn, 100);
	}
}
function memberMailSiteImageRemove() {
	var targetSidebar	= document.getElementById('mdsm-package-toolbar');
	var imagePanel		= document.getElementById('member-mail-body-images');
	if( imagePanel && targetSidebar ) {
		targetSidebar.parentNode.removeChild(imagePanel);
	}
}
function memberMailSiteImagePaste(imageUri) {
	var tag = '<img src="' + imageUri + '" />';
	textFormerObject.paste(tag);
}

/**
 * リターンメール処理アドレスの処理を行います
 */
function errorReturnCheck(checkBoxObj) {
	if( document.mform.mail_return_path ) {
		if( checkBoxObj && checkBoxObj.checked ) {
			document.mform.mail_return_path.type	= 'hidden';
			document.mform.mail_return_path.value	= 'system_auto';
		} else {
			document.mform.mail_return_path.type	= 'text';
			document.mform.mail_return_path.value	= '';
		}
	}
}
//--></script>
{/if}
	<hr style="width:96%;margin:0 auto;margin-top:1em;" />
	<div style="width:96%;margin:0 auto;text-align:right;">
		<a href="../">&gt;&gt; {write:MEMBER_PERSONAL_LABEL}一覧に戻る</a>
	</div>